--          Verilog to VHDL conversion by Martin Neumann martin@neumnns-mail.de         --
--                                                                                      --
--          ///////////////////////////////////////////////////////////////////         --
--          //                                                               //         --
--          //  USB 1.1 PHY                                                  //         --
--          //                                                               //         --
--          //  Author: Rudolf Usselmann                                     //         --
--          //          rudi@asics.ws                                        //         --
--          //                                                               //         --
--          //  Downloaded from: http://www.opencores.org/cores/usb_phy/     //         --
--          //                                                               //         --
--          ///////////////////////////////////////////////////////////////////         --
--          //                                                               //         --
--          //  Copyright (C) 2000-2002 Rudolf Usselmann                     //         --
--          //                          www.asics.ws                         //         --
--          //                          rudi@asics.ws                        //         --
--          //                                                               //         --
--          ///////////////////////////////////////////////////////////////////         --


library ieee;
use ieee.std_logic_1164.all, ieee.numeric_std.all;

package usb_phy_pkg is

	component usb_phy is
	  generic (usb_rst_det : boolean := TRUE);
	  port (
		 clk              : in  std_logic;  -- 60 MHz
		 rst              : in  std_logic;
		 phy_tx_mode      : in  std_logic;  -- HIGH level for differential io mode (else single-ended)
		 usb_rst          : out std_logic;
		 -- Transciever Interface
		 rxd, rxdp, rxdn  : in  std_logic;
		 txdp, txdn, txoe : out std_logic;
		 -- UTMI Interface
		 DataOut_i        : in  std_logic_vector(7 downto 0);
		 TxValid_i        : in  std_logic;
		 TxReady_o        : out std_logic;
		 DataIn_o         : out std_logic_vector(7 downto 0);
		 RxValid_o        : out std_logic;
		 RxActive_o       : out std_logic;
		 RxError_o        : out std_logic;
		 LineState_o      : out std_logic_vector(1 downto 0)
	  );
	end component usb_phy;

end package usb_phy_pkg;
